Bug 125352 - Large heap dump from JDK6 cannot be open
Large heap dump from JDK6 cannot be open
Status: VERIFIED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Tomas Hurka
issues@profiler
release601_fixes_candidate2, release6...
: SIMPLEFIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-16 08:50 UTC by Tomas Hurka
Modified: 2008-03-20 18:49 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2008-01-16 08:50:52 UTC
Heap dump which has HEAP DUMP segment bigger than 2GB cannot be open in HeapWalker.
Comment 1 Tomas Hurka 2008-01-16 08:53:07 UTC
Tag length is unsigned integer, but it is incorrectly treated as signed integer,.
Comment 2 Tomas Hurka 2008-01-16 13:42:05 UTC
Fixed in trunk.
Checking in src/org/netbeans/lib/profiler/heap/HprofHeap.java;
/cvs/profiler/libs/jfluid/src/org/netbeans/lib/profiler/heap/HprofHeap.java,v  <--  HprofHeap.java
new revision: 1.4; previous revision: 1.3
done

Comment 3 Tomas Hurka 2008-02-25 16:28:02 UTC
Verified.
Comment 4 jinb 2008-03-05 15:48:41 UTC
Backported into release601_fixes branch

Checking in src/org/netbeans/lib/profiler/heap/HprofHeap.java;
/cvs/profiler/libs/jfluid/src/org/netbeans/lib/profiler/heap/HprofHeap.java,v  <--  HprofHeap.java
new revision: 1.3.10.1; previous revision: 1.3
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo